function init(hero) {
    hero.setName("Loki");
    hero.setTier(9);

    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("pkg:asgardian_physiology", "pkg:loki_physiology");
    hero.addAttribute("PUNCH_DAMAGE", 11.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);

    hero.addKeyBind("CHARGED_BEAM", "key.chargedBeam", 1);
    hero.addKeyBind("SPELL_MENU", "key.spellMenu", 2);
    hero.addKeyBind("INVISIBILITY", "key.invisibility", 3);
    hero.addKeyBind("TELEKINESIS", "Telekinesis", 4);

    hero.setDefaultScale(1.1);
    hero.setHasProperty((entity, property) => property == "BREATHE_SPACE");

    hero.setModifierEnabled(isModifierEnabled);

}

    function isModifierEnabled(entity, modifier) {
        switch (modifier.name()) {
        case "fiskheroes:energy_projection":
            return entity.getHeldItem().isEmpty();
        default:
            return true
        }
    }
    
